//
//  HaplessViewController.h
//  Hapless
//
//  Created by Jp on 3/11/11.
//  Copyright 2011 Jp4Mobile. All rights reserved.
//

#import <UIKit/UIKit.h>

// Note that the tags of IBOutlet and IBAction that will allow these to be
//      connected to things within the InterfaceBuilder.

@interface HaplessViewController : UIViewController {
    // Note that the variable names and the @property fields that will
    //      generate the setters/getters for the variables.
    
    // Defining the attributes for the HapplessViewController class
    IBOutlet UILabel     * _infoLabel;
    IBOutlet UITextField * _nameField;
    IBOutlet UITextField * _emailField;
    IBOutlet UIButton    * _cancelButton;
    IBOutlet UIButton    * _submitButton;
}
// @property is a handy way of automagically setting up all of your 
// setters/getters, so that you don't have to code them yourself.
@property (nonatomic, retain) UILabel     * infoLabel;
@property (nonatomic, retain) UITextField * nameField;
@property (nonatomic, retain) UITextField * emailField;
@property (nonatomic, retain) UIButton    * cancelButton;
@property (nonatomic, retain) UIButton    * submitButton;

// Methods that will be tied to actions within the InterfaceBuilder.
- (IBAction) cancelPressed:(id)sender;
- (IBAction) submitPressed:(id)sender;

@end
