//
//  ModalSampleViewController.m
//  ModalExample
//
//  Created by Jp on 4/6/11.
//  Copyright 2011 Jp4Mobile. All rights reserved.
//

#import "ModalSampleViewController.h"


@implementation ModalSampleViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

#pragma mark - 
#pragma mark Button Functions
- (IBAction) alertMe:(id)sender {
    NSLog(@"alertMe pressed by (%@)", sender);
    
	UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Alert" 
													message:@"You pressed the alert button from the modal view. Ta da!"
												   delegate:nil
										  cancelButtonTitle:@"Dismiss" 
										  otherButtonTitles:nil];
	[alert show];
	[alert release];    
}

- (IBAction) dismissMe:(id)sender {
    NSLog(@"This will dismiss the modal view controller and go back to the other view");
    [self dismissModalViewControllerAnimated:YES];
}


@end
