//
//  ResultStorageSingleton.m
//  TabFun
//
//  Created by Jp on 4/6/11.
//  Copyright 2011 Jp4Mobile. All rights reserved.
//

#import "ResultStorageSingleton.h"

@implementation ResultStorageSingleton

static ResultStorageSingleton * _sharedInstance = nil;

@synthesize nameResult  = _nameResult;
@synthesize colorResult = _colorResult;

- (id) init {
    NSLog(@"Singlton init");
    if ((self = [super init])) {
        // We can do some initialization...
    }
    return self;
}

+ (ResultStorageSingleton *) sharedInstance {
    NSLog(@"Singlton sharedInstance");
    if (nil == _sharedInstance) {
        _sharedInstance = [[ResultStorageSingleton alloc] init];
    }
    return _sharedInstance;
}

@end
