//
//  FirstViewController.m
//  TabFun
//
//  Created by Jp on 4/6/11.
//  Copyright 2011 Jp4Mobile. All rights reserved.
//

#import "TextEntryViewController.h"

@implementation TextEntryViewController

@synthesize firstNameField = _firstNameField;
@synthesize lastNameField  = _lastNameField;

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}


- (void)viewDidUnload
{
    [super viewDidUnload];

    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc
{
    [super dealloc];
}

#pragma mark - Button Functions

- (IBAction) clearPress:(id)sender {
    // First off we clear the first responder(s) to get rid of the keyboard
    [self.firstNameField resignFirstResponder];
    [self.lastNameField  resignFirstResponder];
    // Then we clear out the data
    self.firstNameField.text = @"";
    self.lastNameField.text  = @"";
}

- (IBAction) savePress:(id)sender {
    // First off we clear the first responder(s) to get rid of the keyboard
    [self.firstNameField resignFirstResponder];
    [self.lastNameField  resignFirstResponder];
    
    // Store it
    //    We'll be using the NSUserDefaults to hold onto the data between view controllers
    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
    [defaults setObject:[NSString stringWithFormat:@"%@ %@", self.firstNameField.text, self.lastNameField.text] forKey:@"nameResult"];
}

@end
