//
//  ColorHelper.m
//  TableFun
//
//  Created by Jp on 3/13/11.
//  Copyright 2011 Jp4Mobile. All rights reserved.
//

#import "ColorHelper.h"

@implementation ColorHelper

@synthesize colorName  = _colorName;
@synthesize colorColor = _colorColor;

#pragma mark - Memory Functions

+ (id) colorWithName:(NSString *)name color:(UIColor *)color {
    return [[[ColorHelper alloc] initWithName:name color:color] autorelease];
}

- (id) initWithName:(NSString *)name color:(UIColor *)color {
    if ((self = [super init])) {
        self.colorName  = name;
        self.colorColor = color;
    }
    
    return self;
}

- (void) dealloc {
    [self.colorColor release];
    [self.colorName  release];
    
    [super dealloc];
}

@end
