//
//  ResultsViewController.m
//  TabFun
//
//  Created by Jp on 4/6/11.
//  Copyright 2011 Jp4Mobile. All rights reserved.
//

#import "ResultsViewController.h"
#import "ColorHelper.h"

@implementation ResultsViewController

@synthesize nameLabel  = _nameLabel;
@synthesize colorLabel = _colorLabel;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

// We need to use viewDidAppear to make sure that the view will refresh each time that it's viewed, so that we don't have the problem with the initial view being set, if we view the view before setting the variables in the other views.
- (void)viewDidAppear:(BOOL)animated {
    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];

    NSString    * nameResult  = [defaults objectForKey:@"nameResult"];
    ColorHelper * colorResult = [defaults objectForKey:@"colorResult"];
    self.nameLabel.text       = [NSString stringWithFormat:@"Your name is: %@", nameResult];
    if (nil != colorResult) {
        self.colorLabel.text      = [NSString stringWithFormat:@"Your color is: %@", colorResult.colorName];
        self.colorLabel.textColor = colorResult.colorColor;
    }
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
